Subject: Re: bug#33007: 27.0.50; Proposal for function to edit and return string

From: Eli Zaretskii <[email-masked]>
Date: Fri, 12 Oct 2018 15:41:37 +0300

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 12 Oct 2018 13:26:34 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I meant the infrastructure they use.  Customize uses widgets, AFAIR.
> 
> But in Customize or EWW, you already have a buffer you can use for
> input.  In the cases I described, you don't.  If you e.g. want to query
> the user for a (possibly longer) note to attach to an article in Gnus,
> or want to query for a new note to capture (org), there is just no
> buffer at hand to place a widget.

I just wanted to point out places where we do something similar, in
case we could reuse or refactor what they do, instead of inventing
from scratch.  I'm not saying that, because we have all those places,
we don't need the proposed feature.